summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorBenjamin Dauvergne <bdauvergne@entrouvert.com>2010-01-18 11:16:20 +0000
committerBenjamin Dauvergne <bdauvergne@entrouvert.com>2010-01-18 11:16:20 +0000
commitc719916fcabdfc130c8a9876c9f80e801457b34c (patch)
treee8605834c96c4745f383412ebdaefe52148d36b7 /autogen.sh
parentd2ff73c54f574334798db79689dac1ce260e31c2 (diff)
downloadlasso-c719916fcabdfc130c8a9876c9f80e801457b34c.tar.gz
lasso-c719916fcabdfc130c8a9876c9f80e801457b34c.tar.xz
lasso-c719916fcabdfc130c8a9876c9f80e801457b34c.zip
in autogen.sh, move libtoolize and gtkdocize before aclocal
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index c25d9948..38ec0d2e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -70,6 +70,12 @@ fi
# to support timj aclocal setup we are shipping gnome-doc-utils.m4
# and making sure automake picks it up ;)
# this is bad as -I prepends to the search path
+echo "* Running libtoolize"
+libtoolize --copy --force
+
+echo "* Running gtkdocize"
+gtkdocize --flavour no-tmpl || exit $?
+
echo "* Running $ACLOCAL"
$ACLOCAL $ACLOCAL_FLAGS -I m4 || exit $?
@@ -77,12 +83,6 @@ echo "* Running autoconf"
autoconf || exit $?
(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
-echo "* Running libtoolize"
-libtoolize --copy --force
-
-echo "* Running gtkdocize"
-gtkdocize --flavour no-tmpl || exit $?
-
echo "* Running $AUTOMAKE"
$AUTOMAKE --add-missing -Wno-portability $am_opt || exit $?